//---------------------------------------------------------------------------

#ifndef aceoptH
#define aceoptH

#include "acefile.h"


//---------------------------------------------------------------------------

AceInfo GetAceInfo(AnsiString path);

//---------------------------------------------------------------------------
// MWGraph DLL load function

bool LoadMwace();
void UnloadMwace();
int GetMWDDSVersion();

bool LoadMwdds();
void UnloadMwdds();
//---------------------------------------------------------------------------
// compress & decompress function

// need set in main.cpp
extern AnsiString makeacepath;
extern AnsiString extraexepath;

int AceToTgaMwace(AnsiString acename,AnsiString tganame,bool square=false);

AnsiString TgaToAceUseMakeAce(ACECompressType compmethod,
        AnsiString tganame,AnsiString destname,ACEColorDepths colordepth,
        int width,int height);
AnsiString TgaToAceUseAceIt(ACECompressType compmethod,
        AnsiString tganame,AnsiString destname,ACEColorDepths colordepth);
AnsiString TgaToDXTAceUseMwdds(AnsiString tganame,AnsiString destname,
        ACEColorDepths colordepth,bool dither,int mipfmode);
AnsiString ReMipAce(AnsiString acename,bool forcetrans=false);
AnsiString MwaceZLibComp(AnsiString acename,AnsiString destname);

//---------------------------------------------------------------------------

#endif
